# SFTPException (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class SFTPException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  net.schmizz.sshj.common.SSHException
                      net.schmizz.sshj.sftp.SFTPException

All Implemented Interfaces:
  Serializable

    public class SFTPException

extends SSHException

See Also:
  Serialized Form

Field Summary
`static ExceptionChainer<SFTPException>` `chainer`

Constructor Summary
`SFTPException(DisconnectReason code)`
`SFTPException(DisconnectReason code, String message)`
`SFTPException(DisconnectReason code, String message, Throwable cause)`
`SFTPException(DisconnectReason code, Throwable cause)`
`SFTPException(Response.StatusCode sc, String msg)`
`SFTPException(String message)`
`SFTPException(String message, Throwable cause)`
`SFTPException(Throwable cause)`

Method Summary
`Response.StatusCode` `getStatusCode()`

Methods inherited from class net.schmizz.sshj.common.SSHException
`getDisconnectReason, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### chainer

    public static final ExceptionChainer<SFTPException> chainer

Constructor Detail

### SFTPException

    public SFTPException(DisconnectReason code)

### SFTPException

    public SFTPException(DisconnectReason code,
                         String message)

### SFTPException

    public SFTPException(DisconnectReason code,
                         String message,
                         Throwable cause)

### SFTPException

    public SFTPException(DisconnectReason code,
                         Throwable cause)

### SFTPException

    public SFTPException(String message)

### SFTPException

    public SFTPException(String message,
                         Throwable cause)

### SFTPException

    public SFTPException(Throwable cause)

### SFTPException

    public SFTPException(Response.StatusCode sc,
                         String msg)

Method Detail

### getStatusCode

    public Response.StatusCode getStatusCode()

Copyright © 2009-2011. All Rights Reserved.